/*
Author: Group 5
Date:12/13/23
File Name: styles.css
*/

/* CSS Reset */
body,
header,
nav,
main,
footer,
h1,
div,
img,
ul,
figure,
section,
article,
aside {
  margin: 0;
  padding: 0;
  border: 0;
}

/* Style rules for body and images */
body {
  background-color: #fffce9;
}

img {
  max-width: 100%;
  display: block;
}

/* Style rule for box sizing applies to all elements */
* {
  box-sizing: border-box;
}

/* Style rules for mobile viewport */

/* Style rule for header */
header {
  top: 0;
  background-color: #fffce9;
}

header img {
  margin: 2em auto;
  height: 180px;
}

/* Style rules for hamburger menu */
.mobile-nav a {
  color: #486d28;
  font-family: "Francois One", sans-serif;
  text-align: center;
  font-size: 2em;
  text-decoration: none;
  padding: 3%;
  display: block;
}

.mobile-nav a.menu-icon {
  display: block;
  position: absolute;
  right: 0;
  top: 0;
}

/* Show mobile class, hide tablet-desktop class and menu-links id */
.mobile {
  display: block;
}

.tablet-desktop,
#menu-links {
  display: none;
}

/* Style rules for main content */
main {
  background-color: #fffce9;
  padding: 2%;
  font-size: 1.15em;
  font-family: "Roboto Slab", serif;
}

.mobile h2 {
  text-align: center;
}

.mobile h4 {
  background-color: #486d28;
  color: #fffce9;
  border-radius: 25px;
  text-align: center;
}

.mobile h3 {
  text-align: center;
  margin-top: 1em;
  margin-bottom: 1em;
}

article {
  padding: 2%;
}

article h3 {
  text-align: center;
}

article img {
  margin: 0 auto;
}

article ul {
  margin-left: 10%;
}

article:nth-of-type(2) {
  background-color: rgba(204, 204, 204, 0.3);
}

.tel-link {
  background-color: #486d28;
  padding: 2%;
  margin: 0 auto;
  width: 80%;
  text-align: center;
  border-radius: 25px;
}

.tel-link a {
  color: #fffce9;
  text-decoration: none;
  font-size: 1.5em;
  display: block;
}

.hours {
  margin-left: 10%;
}

.action {
  font-size: 1.35em;
  color: #055c9d;
}

.frame {
  position: relative;
  max-width: 450px;
  margin: 2% auto;
}

.pic-text {
  position: absolute;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  color: #fffce9;
  width: 100%;
  padding: 20px;
  text-align: center;
  font-family: Verdana, Arial, sans-serif;
  font-size: 1.5em;
  font-weight: bold;
}

.round {
  border-radius: 8px;
}

.external-link {
  color: #666600;
  font-weight: bold;
  text-decoration: none;
}

#slogan {
  text-align: center;
  color: #486d28;
  padding: 5%;
}

#vision {
  color: #fffce9;
  padding: 2%;
  background-color: #486d28;
  border-radius: 25px;
}
#vision h1 {
  text-align: center;
  color: #fffce9;
}
#mission h1 {
  text-align: center;
  color: #486d28;
}

#mission {
  color: #486d28;
  padding: 2%;
}

#aboutimages {
  border-top: 1px solid #486d28;
  border-right: 1px solid #486d28;
  border-left: 1px solid #486d28;
  border-bottom: 1px solid #486d28;
  background: linear-gradient(to right, #b9d2b1, #fffce9);
  background-color: #f2f2f2;
  padding: 1% 2%;
}

#aboutimages h1 {
  text-align: center;
  color: #3e5a26;
  padding: 10px;
  text-decoration: underline;
}

.endangerlist {
  width: 55em;
  padding-top: 3em;
}

#aboutimages dt {
  text-align: center;
  color: #3e5a26;
  font-weight: bold;
}

#aboutimages dd {
  padding: 1% 1% 1% 0%;
  color: #31481d;
}

#contact {
  text-align: center;
}

#contact .contact-email-link {
  color: #666600;
  text-decoration: none;
}

.map {
  border: 2px solid #000;
  width: 95%;
  height: 50%;
}

#form {
  margin-top: 2%;
  background-color: #b6d1d8;
  padding: 2%;
  border: 2px solid #000;
}

#form h2 {
  text-align: center;
}

/* Style rules for form elements */
fieldset,
input,
select,
textarea {
  margin-bottom: 2%;
}

fieldset legend {
  font-weight: bold;
  font-size: 1.25em;
}

label {
  display: block;
  padding-top: 3%;
}

form #submit {
  margin: 0 auto;
  border: none;
  display: block;
  padding: 2%;
  background-color: #94c38d;
  font-size: 1em;
  border-radius: 10px;
}

/* Style rules for footer content */
footer p {
  font-size: 0.75em;
  text-align: center;
  color: #000;
  padding: 0 1em;
}

footer p a {
  color: #fffce9;
  text-decoration: none;
}

/* Media Query for Tablet Viewport */
@media screen and (min-width: 630px), print {
  /* Tablet Viewport: Show tablet-desktop class, hide mobile class */
  .tablet-desktop {
    display: block;
  }

  .mobile,
  .mobile-nav {
    display: none;
  }

  /* Tablet Viewport: Style rule for header */
  header {
    padding-bottom: 2%;
  }

  /* Tablet Viewport: Style rules for nav area */
  nav {
    padding: 1%;
    margin-bottom: 1%;
  }

  nav ul {
    list-style-type: none;
    text-align: center;
  }

  nav li {
    font-size: 1.5em;
    font-family: "Francois One", sans-serif;
    display: inline-block;
    border-right: 1px solid #fffce9;
  }

  nav li:last-child {
    border-right: none;
  }

  nav li a {
    padding: 0.1em 0.75em;
    display: block;
    color: #486d28;
    text-decoration: none;
  }

  /* Tablet Viewport: Style rules for main content area */
  main ul {
    margin: 0 0 4% 10%;
  }

  .tablet-desktop h2 {
    text-align: center;
  }

  .main-paragraph {
    background-color: #486d28;
    color: #fffce9;
    border-radius: 25px;
    text-align: center;
  }

  .tablet-desktop h4 {
    background-color: #486d28;
    color: #fffce9;
    text-align: center;
    border-radius: 25px;
  }

  .grid {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 20px;
  }

  .pic-text {
    font-size: 1em;
    padding: 10px;
  }

  aside {
    text-align: center;
    font-size: 1.25em;
    font-style: italic;
    font-weight: bold;
    padding: 2%;
    background-color: rgba(204, 204, 204, 0.5);
    box-shadow: 5px 5px 8px #000;
    text-shadow: 5px 5px 5px #b3b3b3;
    border-radius: 0 15px;
  }

  .grid-item4 {
    grid-column: 1 / span 3;
  }

  #slogan {
    text-align: center;
    color: #486d28;
    padding: 5%;
  }

  #vision {
    color: #fffce9;
    padding: 2%;
    background-color: #486d28;
    border-radius: 25px;
  }
  #vision h1 {
    text-align: center;
    color: #fffce9;
  }
  #mission h1 {
    text-align: center;
    color: #486d28;
  }

  #mission {
    color: #486d28;
    padding: 2%;
  }

  #aboutimages {
    border-top: 1px solid #486d28;
    border-right: 1px solid #486d28;
    border-left: 1px solid #486d28;
    border-bottom: 1px solid #486d28;
    background: linear-gradient(to right, #b9d2b1, #fffce9);
    background-color: #f2f2f2;
    padding: 1% 2%;
  }

  #aboutimages h1 {
    text-align: center;
    color: #3e5a26;
    padding: 10px;
    text-decoration: underline;
  }

  .endangerlist {
    width: 55em;
    padding-top: 3em;
  }

  #aboutimages dt {
    text-align: center;
    color: #3e5a26;
    font-weight: bold;
  }

  #aboutimages dd {
    padding: 1% 1% 1% 0%;
    color: #31481d;
  }

  .viewex {
    font-weight: bold;
    cursor: pointer;
  }

  .tel-num {
    font-size: 1.25em;
  }

  .map {
    width: 600px;
    height: 450px;
  }

  /* Tablet Viewport: Style rule for form element */
  form {
    width: 70%;
    margin: 0 auto;
  }
}

/* Media Query for Desktop Viewport */
@media screen and (min-width: 1015px), print {
  /* Desktop Viewport: Style rule for header */
  header {
    width: 25%;
    float: left;
    padding-bottom: 0;
  }

  /* Desktop Viewport: Style rules for nav area */
  nav {
    float: right;
    width: 70%;
    margin: 4em 1em 0 0;
    position: static;
  }

  nav ul {
    text-align: right;
  }

  nav li {
    border: none;
  }

  nav li a {
    padding: 0.5em 1em;
  }

  nav li a:hover {
    color: #000;
    background-color: #fffce9;
    transform: scale(1.3);
  }

  /* Desktop Viewport: Style Rules for main content */
  main {
    clear: left;
  }

  main h1 {
    font-size: 1.8em;
  }

  article h3 {
    font-size: 1.75em;
  }

  .pic-text {
    font-size: 1.5em;
    padding: 20px;
  }

  .frame {
    opacity: 0.9;
  }

  .frame:hover {
    opacity: 1;
    box-shadow: 8px 8px 10px #808080;
    transform: translateY(10px);
  }

  .offer:hover {
    transform: scale(1.25);
    cursor: pointer;
  }

  /* Desktop Viewport: Style rules for form elements */
  form {
    width: auto;
  }

  .form-grid {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 20px;
  }

  .btn {
    grid-column: 1 / span 3;
  }
}

/* Media Query for Large Desktop Viewports */
@media screen and (min-width: 1921px) {
  #container {
    width: 1920px;
    margin: 0 auto;
  }

  table {
    width: 80%;
  }
}

/* Media Query for Print */
@media print {
  body {
    background-color: #fffce9;
    color: #000;
  }
}

/*donation code taken from https://codepen.io/DevinWalker/pen/EKRzPx */
.donation-container {
  height: 1000px;
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  font-size: 12px;
  text-transform: uppercase;
  margin-top: 30px;
}

.donation-box {
  width: 390px;
  height: 485px;
  background-color: lightgray;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  position: relative;
  margin-left: auto;
  margin-right: auto;
  -webkit-transition: all 0.15s ease-out;
  -moz-transition: all 0.15s ease-out;
  -o-transition: all 0.15s ease-out;
  transition: all 0.15s ease-out;
}

.donation-box .title {
  background-color: #486d28;
  width: 100%;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  color: #fffce9;
  text-align: center;
  padding-top: 12px;
  padding-bottom: 12px;
  font-size: 15px;
}

.donation-box .donate-button {
  background-color: #486d28;
  width: 100%;
  color: #fffce9;
  text-align: center;
  padding-top: 12px;
  padding-bottom: 12px;
  font-size: 18px;
  bottom: 0px;
  position: absolute;
  cursor: pointer;
  font-weight: 800;
}

.donation-box .fields {
  width: 59%;
  display: block;
  position: absolute;
  top: 60px;
  left: 15px;
}

.donation-box .fields input {
  width: 90%;
  font-size: 17px;
  padding: 10px;
  border-radius: 4px;
  border-width: 0px;
  color: #5c5c5c;
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  margin-bottom: 10px;
  -webkit-font-smoothing: antialiased;
}

::-webkit-input-placeholder {
  color: #cdcdcd;
  font-size: 15px;
}

:-moz-placeholder {
  /* Firefox 18- */
  color: #cdcdcd;
  font-size: 15px;
}

::-moz-placeholder {
  /* Firefox 19+ */
  color: #cdcdcd;
  font-size: 15px;
}

:-ms-input-placeholder {
  color: #cdcdcd;
  font-size: 15px;
}

.donation-box .amount {
  width: 30%;
  display: block;
  position: absolute;
  top: 60px;
  right: 15px;
}

.donation-box .amount .button {
  width: 100%;
  background-color: gray;
  margin-bottom: 10px;
  text-align: center;
  color: #fffce9;
  padding: 15px 0px 15px 0px;
  border-radius: 4px;
  font-size: 20px;
  cursor: pointer;

  -webkit-transition: 400ms background-color;
  -moz-transition: 800ms opacity, 800ms right;
  -ms-transition: 800ms opacity, 800ms right;
  -o-transition: 800ms opacity, 800ms right;
  transition: 200ms background-color;
}

.donation-box .amount .button:hover {
  background-color: #64bb46;
}

.donation-box .amount .button.selection {
  background-color: #486d28;
}

.donation-box .amount .button input {
  min-width: 34px;
  font-size: 20px;
  font-weight: 500;
  border: none;
  background-color: transparent;
  color: #fffce9;
  font-family: Montserrat, sans-serif;
  font-size: 20px;
  font-stretch: normal;
  font-style: normal;
  font-variant: normal;
  font-weight: 500;
  border-bottom: 2px dashed #fffce9;
  -webkit-font-smoothing: antialiased;

  -webkit-transition: all 0.15s ease-out;
  -moz-transition: all 0.15s ease-out;
  -o-transition: all 0.15s ease-out;
  transition: all 0.15s ease-out;
}

.set-amount {
  max-width: 96px;
}

.switch {
  position: absolute;
  top: 190px;
  left: 15px;
  margin: 20px auto;
  height: 45px;
  width: 58.5%;
  background: #fffce9;
  border-radius: 3px;
}

.switch-label {
  position: relative;
  z-index: 2;
  float: left;
  width: 49%;
  line-height: 26px;
  font-size: 15px;
  color: #5c5c5c;
  text-align: center;
  cursor: pointer;
  font-weight: bold;
}
.switch-label:active {
  font-weight: bold;
}

.switch-label-off {
  padding-left: 2px;
}

.switch-label-on {
  padding-right: 2px;
}

.switch-input {
  display: none;
}
.switch-input:checked + .switch-label {
  font-weight: bold;
  color: rgba(0, 0, 0, 0.65);
  -webkit-transition: 0.15s ease-out;
  -moz-transition: 0.15s ease-out;
  -o-transition: 0.15s ease-out;
  transition: 0.15s ease-out;
}
.switch-input:checked + .switch-label-on ~ .switch-selection {
  left: 114px;
}

.switch-selection {
  display: block;
  position: absolute;
  z-index: 1;
  top: 2px;
  left: 2px;
  width: 49%;
  height: 41px;
  background: #9ee79c;
  border-radius: 3px;
  background-color: #638e3e;

  -webkit-transition: left 0.15s ease-out;
  -moz-transition: left 0.15s ease-out;
  -o-transition: left 0.15s ease-out;
  transition: left 0.15s ease-out;
}

.checkboxes {
  position: absolute;
  top: 275px;
  left: 13px;
}

.checkboxes label {
  position: relative;
  top: -8px;
  font-size: 15px;
  color: #486d28;
}

.checkbox {
  background-color: #fafafa;
  border: 1px solid #638e3e;
  padding: 9px;
  border-radius: 3px;
  display: inline-block;
  position: relative;
  -webkit-transition: all 0.15s ease-out;
  -moz-transition: all 0.15s ease-out;
  -o-transition: all 0.15s ease-out;
  transition: all 0.15s ease-out;
}

.checkbox:checked {
  background-color: #486d28;
  border: 1px solid #486d28;
  color: #fffce9;
}

.confirm {
  display: none;
  position: absolute;
  top: 335px;
  left: 15px;
  right: 15px;
  font-size: 16px;

  -webkit-transition: all 0.15s ease-out;
  -moz-transition: all 0.15s ease-out;
  -o-transition: all 0.15s ease-out;
  transition: all 0.15s ease-out;
}

.confirm i {
  font-weight: bold;
  text-decoration: underline;
  font-style: normal;
}
